/*
 *
 *  Bluetooth RFCOMM library for BlueZ
 *
 *  Copyright (C) 2001-2002  Marcel Holtmann <marcel@holtmann.org>
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation;
 *
 *  Software distributed under the License is distributed on an "AS
 *  IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 *  implied. See the License for the specific language governing
 *  rights and limitations under the License.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef __RFCOMM_H
#define __RFCOMM_H

#ifdef __cplusplus
extern "C" {
#endif


#include <asm/types.h>
#include <sys/wait.h>

#include <bluetooth/bluetooth.h>


#define RFCOMM_PSM  3
#define RFCOMM_DEFAULT_MTU  127



void rfcomm_init(void);
int rfcomm_connect(bdaddr_t *bdaddr, int channel, int *mtu);
void rfcomm_close(int s);


#ifdef __cplusplus
}
#endif

#endif  /* __RFCOMM_H */
